Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xml.serialize
Class LineSeparator

    java.lang.Object
      |
      +--weblogic.apache.xml.serialize.LineSeparator

public final class LineSeparator
extends java.lang.Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.3 $ $Date: 2000/08/30 18:59:21 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` | `Macintosh` Line separator for Macintosh systems (`\r`).
`static java.lang.String` | `Unix` Line separator for Unix systems (`\n`).
`static java.lang.String` | `Web` Line separator for the Web (`\n`).
`static java.lang.String` | `Windows` Line separator for Windows systems (`\r\n`).

Constructor Summary
`LineSeparator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Unix

    public static final java.lang.String Unix

  Line separator for Unix systems (`\n`).

### Windows

    public static final java.lang.String Windows

  Line separator for Windows systems (`\r\n`).

### Macintosh

    public static final java.lang.String Macintosh

  Line separator for Macintosh systems (`\r`).

### Web

    public static final java.lang.String Web

  Line separator for the Web (`\n`).

Constructor Detail

### LineSeparator

    public LineSeparator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD